## org.apache.ivy.core.resolve
Class VisitData

    java.lang.Object
      org.apache.ivy.core.resolve.VisitData

    public class VisitData

extends java.lang.Object

This class is used to store data related to one node of the dependency graph visit. It stores both an `IvyNode` and related `VisitNode` objects. Indeed, during the visit of the graph, the algorithm can visit the same node from several parents, thus requiring several VisitNode.

Constructor Summary
`VisitData(IvyNode node)`

Method Summary
`void` `addVisitNode(VisitNode node)`
`void` `addVisitNodes(java.lang.String rootModuleConf, java.util.List visitNodes)`
`IvyNode` `getNode()`
`java.util.List` `getVisitNodes(java.lang.String rootModuleConf)`
`void` `setNode(IvyNode node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisitData

    public VisitData(IvyNode node)

Method Detail

### addVisitNode

    public void addVisitNode(VisitNode node)

### getVisitNodes

    public java.util.List getVisitNodes(java.lang.String rootModuleConf)

### getNode

    public IvyNode getNode()

### setNode

    public void setNode(IvyNode node)

### addVisitNodes

    public void addVisitNodes(java.lang.String rootModuleConf,
                              java.util.List visitNodes)